Instalar, actualizar y desinstalar la AWS CLI - AWS Command Line Interface

Python 2.7, 3.4 y 3.5 están obsoletas para la versión 1 de AWS CLI. Para obtener más información, consulte la sección de la versión 1 de AWS CLI de Acerca de las versiones de AWS CLI.

Instalar, actualizar y desinstalar la AWS CLI

La AWS Command Line Interface (AWS CLI) está disponible en las siguientes versiones:

  • Versión 2: es la versión principal más reciente de la AWS CLI y es compatible con todas las características más recientes. Para obtener más información acerca de la versión 2 de AWS CLI, consulte Versión 2 de la AWS CLI.

  • Versión 1: es la AWS CLI original y seguimos ofreciendo soporte. Sin embargo, es posible que las principales nuevas características presentadas en la versión 2 de AWS CLI no puedan adaptarse a la versión 1 de AWS CLI. Para obtener más información acerca de la versión 1 de AWS CLI, consulte Versión 1 de la AWS CLI.

Para comprobar qué versión tiene instalada, utilice el siguiente comando.

C:\> aws --version aws-cli/2.1.29 Python/3.7.4 Windows/10 botocore/2.0.0

Para obtener instrucciones sobre cómo instalar, actualizar y desinstalar la AWS CLI, seleccione su versión: